taskName=tos_test
# 迁移源端类型，通过s3协议访问tos
srcType=aws
# 访问源端对象存储的AK和SK
srcAccessKey=tosAK
srcSecretKey=tosSK
# 源endpoint，请参考火山云地域和访问域名（Endpoint）->S3 Endpoint
srcDomain=tos-s3-cn-beijing.volces.com
srcBucket=tosbucket
# 源前缀，设置后将会迁移桶内拥有匹配前缀的文件，若为空则表示迁移桶内所有文件
srcPrefix=
dstAccessKey=ks3AK
dstSecretKey=ks3SK
# 目标endpoint
dstDomain=ks3-cn-beijing.ksyuncs.com
dstBucket=mybucket
dstPrefix=docs/
# 并发上传的线程数，初次不建议设置过高，建议运行过程中从小到大逐渐尝试调整该值，修改后无需重启命令即可生效
threadsNum=10
# 该参数仅当srcType=ks3,oss,cos时有效。该参数为true时，会将源KS3对象的ACL复制到目标对象上，且cannedAcl选项将会被忽略。
useSrcAcl=false
# 文件权限：Private、PublicRead
cannedAcl=Private
# 存储类型：STANDARD（标准）、STANDARD_IA（低频）、ARCHIVE（归档）
storageType=STANDARD
# 是否跳过目标桶已存在的文件。0（默认值）-优先判断LastModified，源文件大则覆盖上传；其次判断Size，不一致则覆盖上传；1-条件覆盖，lastModified，Size Type其中存在一个不同，则覆盖上传；2-全覆盖：存在同名文件均覆盖上传；3-不覆盖：存在同名文件均跳过。
skipDstExistFile=0
# 是否开启CRC64校验
crcCheckEnabled=true

# 使用分块上传配置
# 分块上传文件阈值，大于该值，使用分块传输，单位为Byte，默认为100MB
singleFileSize=104857600
# 分块大小，单位为Byte，默认为100MB
partSize=104857600
# 单文件分块传输并发，可搭配threadsNum参数值一起使用，总并发数=threadsNum * uploadPartPoolSize
uploadPartPoolSize=10

# 带宽限速，单位为KB/s，取值<=0表示不限速
maxNetThroughput=-1
# 使用分时限流的带宽限速，可设置多个时间段的带宽限速值，单位为KB/s。限流区间要与限流时间段一一对应，否则设置无效
# maxNetThroughputRange=1000#2000#3000
# 执行分时带宽限速的时间段，可设置多个限流时间段，限流区间要与限流时段一一对应，否则设置无效
# maxNetThroughputTimeRange=11:50:00-15:48:50#15:49:00-15:49:50#15:50:00-15:51:50
# 是否开启https
useHttps=true

# 过滤器开关，可根据文件名和文件修改时间过滤文件
filterEnable=false
# 文件名称白名单。可用于设置指定包含某字符的文件名称进行迁移，多个用英文逗号分。filterEnable=true时该配置生效，否则不生效
fileNameInclude=
# 文件名称黑名单。可用于设置指定包含某字符的文件名称不进行迁移，多个用英文逗号分隔。filterEnable=true时该配置生效，否则不生效
fileNameExclude=
# 文件修改时间范围，以#分割，时间格式为yyyy-MM-dd HH:mm:ss， 如2005-01-12 00:00:00#2016-01-12 00:00:00。filterEnable=true时该配置生效，否则不生效
modifyTimeRange=
# 对象Key白名单。使用正则表达式匹配对象的Key，符合规则的文件被迁移。 filterEnable=true时该配置生效，否则不生效
# objectKeyRegexInclude=
# 对象Key黑名单。使用正则表达式匹配文件的Key，符合规则的文件不迁移。filterEnable=true时该配置生效，否则不生效
# objectKeyRegexExclude=

# 是否开启增量模式，单位为秒
incrementalMode=false
# 是否开启增量模式，单位为秒。仅在incrementalMode=true时，该参数有效，最小值为900秒，不建议配置小于3600秒，会造成系统额外开销
incrementalModeInterval=900
# 增量迁移若干次数后结束迁移任务。仅在incrementalMode=true时，该参数有效
incrementalModeCount=1

# 是否优先使用本地.db文件判断文件是否已经上传过
useLocalDBCheck=true
# 任务进度回调URL，可以在任务运行中和运行结束时向配置的URL上报任务进度
# callProgressUrl


